Bug 597695 - save as jpeg fails with file-jpeg segfault
save as jpeg fails with file-jpeg segfault
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
12
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On: 589283
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 01:15 EDT by Matthew Miller
Modified: 2010-11-04 06:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 589283
Environment:
Last Closed: 2010-11-04 06:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2010-05-30 01:15:07 EDT
I think this is a separate issue from bug #589283.

I get, apparently, a gdkkeys related crash? Happens every time I try to save as a jpeg file with gimp-2.6.8-1.fc12.x86_64 and up-to-date F12. (Didn't happen previously -- something broke in an update, although I can't pinpoint when.)

Program received signal SIGSEGV, Segmentation fault.
0x0000003ed5266504 in get_direction (keymap_x11=0x1526000 [GdkKeymapX11], 
    xkb=<value optimized out>, group=96) at gdkkeys-x11.c:567
567	      PangoDirection dir = pango_unichar_direction (gdk_keyval_to_unicode (sym));

(gdb) bt
#0  0x0000003ed5266504 in get_direction (keymap_x11=0x1526000 [GdkKeymapX11], 
    xkb=<value optimized out>, group=96) at gdkkeys-x11.c:567
#1  get_direction_from_cache (keymap_x11=0x1526000 [GdkKeymapX11], 
    xkb=<value optimized out>, group=96) at gdkkeys-x11.c:632
#2  0x0000003ed5267114 in update_direction (keymap_x11=
    0x1526000 [GdkKeymapX11], group=96) at gdkkeys-x11.c:677
#3  0x0000003ed526721b in IA__gdk_keymap_get_direction (
    keymap=<value optimized out>) at gdkkeys-x11.c:760
#4  0x0000003ed5c131df in gtk_text_view_check_keymap_direction (text_view=
    0x15210a0 [GtkTextView]) at gtktextview.c:6370
#5  0x0000003ed5c1665c in gtk_text_view_ensure_layout (text_view=
    0x15210a0 [GtkTextView]) at gtktextview.c:6438
#6  0x0000003ed5c16dae in gtk_text_view_update_layout_width (text_view=
    0x15210a0 [GtkTextView]) at gtktextview.c:2068
#7  0x0000003ed5c17bce in gtk_text_view_value_changed (
    adj=<value optimized out>, text_view=0x15210a0 [GtkTextView])
    at gtktextview.c:7262
#8  0x0000003ecea0ba8e in IA__g_closure_invoke (closure=0x151c930, 
    return_value=0x0, n_param_values=3, param_values=0x1520370, 
    invocation_hint=0x7fffc3581200) at gclosure.c:767
#9  0x0000003ecea20b8d in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3285
#10 0x0000003ecea2225f in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fffc35813f0) at gsignal.c:2980
#11 0x0000003ecea227a3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3037
#12 0x0000003ed5c7d47c in IA__gtk_widget_set_scroll_adjustments (widget=
    0x15210a0 [GtkTextView], hadjustment=0x1481ad0 [GtkAdjustment], 
    vadjustment=0x1519c00 [GtkAdjustment]) at gtkwidget.c:4860
#13 0x0000003ed5bbcee8 in gtk_scrolled_window_add (
    container=<value optimized out>, child=0x15210a0 [GtkTextView])
    at gtkscrolledwindow.c:1689
#14 0x0000003ecea0ba8e in IA__g_closure_invoke (closure=0x140a350, 
    return_value=0x0, n_param_values=2, param_values=0x151a6f0, 
    invocation_hint=0x7fffc35816b0) at gclosure.c:767
#15 0x0000003ecea207dc in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3177
#16 0x0000003ecea2225f in IA__g_signal_emit_valist (
    instance=<value optimized out>, signal_id=<value optimized out>, 
    detail=<value optimized out>, var_args=0x7fffc35818a0) at gsignal.c:2980
#17 0x0000003ecea227a3 in IA__g_signal_emit (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>)
    at gsignal.c:3037
#18 0x000000000040b33d in save_dialog () at jpeg-save.c:1171
#19 0x0000000000405d92 in run (name=<value optimized out>, 
    nparams=<value optimized out>, param=0x14140e0, nreturn_vals=
    0x7fffc3581c0c, return_vals=0x0) at jpeg.c:471
#20 0x0000003ed8e126c6 in gimp_proc_run (info=<value optimized out>, 
    argc=<value optimized out>, argv=<value optimized out>) at gimp.c:1894
#21 gimp_loop (info=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>) at gimp.c:1728
#22 gimp_main (info=<value optimized out>, argc=<value optimized out>, 
    argv=<value optimized out>) at gimp.c:464
#23 0x00007f6bad128b1d in __libc_start_main () from /lib64/libc.so.6
#24 0x00000000004058e9 in _start ()
Comment 1 Bug Zapper 2010-11-03 09:51:57 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthew Miller 2010-11-03 09:57:53 EDT
This works for me now -- whatever the problem was appears to be resolved.

Note You need to log in before you can comment on or make changes to this bug.